# List customer modules for the current tenant

Source: https://docs.levelfour.ai/api-reference/accounts/get-accounts-modules


## GET /api/v1/accounts/modules

### Authentication

Send `Authorization: Bearer <token>`.

### Responses

#### 200: Successful Response

- `success` (boolean, default `true`)
- `timestamp` (date-time string)
- `data` (object, required)
  - `items` (array of object, required)
    - `module_id` (string, required): Module identifier (e.g. 'github_bot', 'cloud_savings')
    - `status` (one of `inactive`, `trial`, `active`, `past_due`, `revoked`, `beta`, required): Current module state for this tenant
    - `plan_tier` (string, nullable): Plan tier label, free text (e.g. 'paid', 'free')
    - `started_at` (date-time string, nullable)
    - `expires_at` (date-time string, nullable)
    - `config` (object, nullable): Module-specific config (e.g. trial caps, allowed recommendation ids, enabled providers)

#### Errors

- `400`: Bad Request
- `401`: Authentication Error
- `403`: Authorization Error
- `404`: Not Found
- `409`: Conflict
- `422`: Validation Error
- `429`: Rate Limit Exceeded
- `500`: Internal Server Error

Body of `400`, `401`, `403`, `404`, `409`, `422`, `429`, `500`:

- `success` (`false`, required)
- `error` (object, required)
  - `code` (string, required)
  - `message` (string, required)
  - `details` (any)
- `timestamp` (date-time string, required)
